/* Block: categories-list (categories-list) */
.g-3cf05a52 { display: flex; flex-wrap: wrap; gap: var(--size-s); }
.g-3cf05a52 .g-f8dff142 { text-decoration: none; background-color: var(--color-surface); flex-grow: 1; flex-shrink: 1; flex-basis: calc((100% - (var(--size-s) * 4)) / 5); min-width: 210px; display: flex; justify-content: center; align-items: center; flex-direction: column; gap: var(--size-xxs); padding: 16px; border-radius: var(--b-radius); text-align: center; hyphens: auto; overflow-wrap: break-word; word-break: normal; text-wrap: balance; transition: .2s ease-in-out filter; }
.g-3cf05a52 .g-f8dff142:hover { filter: brightness(0.96); }

/* Block: category-header (category-header) */
.g-bf8ceb74 { display: flex; flex-direction: column; justify-content: flex-start; align-items: center; padding: var(--size-s); background-color: var(--color-surface); border-radius: var(--b-radius); max-width: 700px; margin: var(--size-m) auto var(--section-padding); }
.g-bf8ceb74 .g-53b249a2 { display: inline-flex; justify-content: flex-start; align-items: center; gap: var(--size-xs); }
.g-bf8ceb74 .g-21722675 { margin-top: var(--size-s); text-align: center; }
@media screen and (max-width: 576px) { .g-53b249a2 { display: flex; margin: 0 auto; justify-content: center; gap: var(--size-xxs); }
.g-21722675 { margin-top: var(--size-xs); }
 }

/* Block: comments (comments) */
.comments-block .comments {
    list-style: none;
    padding: 0;
}

.comments-block .comments ul {
    padding: 0;
}

.comments-block .comment {
    list-style: none;
}

.comments-block .comments-title,
.comments-block .comment-reply-title {
    font-size: clamp(1.5rem, 0.8839779006vw + 1.2928176796rem, 2rem);
    font-weight: 600;
    line-height: 120%;
    margin-bottom: var(--size-m);
}

.comments-block .comment-body,
.comments-block .comment-respond {
    margin-top: var(--size-m);
    background-color: var(--color-surface);
    padding: var(--size-s);
    border-radius: var(--b-radius);
}

.comments-block .comment-content {
    margin-top: var(--size-s);
}

.comments-block .comment-metadata {
    margin-top: var(--size-xxs);
}

.comments-block .avatar {
    border-radius: 50%;
    margin-right: var(--size-xs);
}

.comments-block .comment-form {
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    flex-direction: column;
    gap: var(--size-xs);
}

.comments-block .comment-form p {
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    flex-direction: column;
    gap: var(--size-xxs);
}

.comments-block .comment-form input[type="email"],
.comments-block .comment-form input[type="text"],
.comments-block .comment-form input[type="url"],
.comments-block .comment-form textarea {
    width: 100%;
    border: 0;
    border-radius: var(--b-radius);
    font-size: clamp(0.75rem, 0.4419889503vw + 0.6464088398rem, 1rem);
    font-weight: 400;
    line-height: 120%;
    color: var(--color-text);
    background-color: var(--color-bg);
    outline: none;
}

.comments-block .comment-form input[type="email"],
.comments-block .comment-form input[type="text"],
.comments-block .comment-form input[type="url"] {
    height: var(--size-l);
}

.comments-block .comment-form textarea {
    min-height: 130px;
    resize: vertical;
}

.comments-block .comment-form .submit {
    position: relative;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    color: var(--color-text-light);
    padding: 9px 75px;
    min-height: var(--size-l);
    text-decoration: none;
    font-size: 18px;
    border: 0;
    cursor: pointer;
    background-color: var(--color-primary);
    border-radius: var(--b-radius);
}

.comments-block p.comment-form-cookies-consent {
    flex-direction: row;
    align-items: center;
}

/* Block: cookie (cookie) */
.g-2c6db85c { display: none; position: fixed; bottom: 0; left: 0; width: 100%; padding: var(--size-m); z-index: 3; }
.g-c14a9fee { display: block; }
.g-777d96c7 { display: flex; justify-content: flex-start; align-items: center; gap: var(--size-xl); }
.g-7f61bc97 { width: 195px; display: flex; flex-direction: column; gap: var(--size-xs); }
.g-82a8057a { width: 100%; }
@media screen and (max-width: 768px) { .g-2c6db85c { padding: var(--size-s); }
.g-777d96c7 { text-align: center; gap: var(--size-s); flex-direction: column; }
.g-7f61bc97 { width: 100%; flex-direction: row; justify-content: center; flex-wrap: wrap; }
.g-82a8057a { width: auto; }
 }@media screen and (max-width: 576px) { .g-7f61bc97 { gap: var(--size-xxs); }
 }

/* Block: featured-posts (featured-posts) */
.g-c4cc126d { margin-top: var(--size-m); }
.g-2cc4de2b { margin-top: var(--size-m); }
.g-51d49b11 { margin-top: var(--size-xl); }
.g-54c4012b { align-items: stretch; }
.g-a24814e6 { height: auto; }
.g-be2b22a6 { display: flex; justify-content: center; align-items: center; gap: 8px; margin-top: var(--size-s); height: 15px; }
.g-be2b22a6 .g-d7396ed1 { width: 12px; height: 12px; margin: 0; border-radius: 50%; background: var(--color-surface); opacity: 1; transition: background .2s ease, transform .2s ease; }
.g-be2b22a6 .g-db542720 { background: var(--color-primary); transform: scale(1.2); }
.g-c16918c5 { display: flex; justify-content: center; align-items: center; margin-top: var(--size-xl); text-align: center; }

/* Block: footer (footer) */
.g-e0729ed3 { font-size: 40px; display: flex; justify-content: flex-start; align-items: center; gap: var(--size-xxs); white-space: nowrap; }
.g-0b8b5ae2 { text-align: center; position: fixed; left: 50%; top: 50%; transform: translateX(-50%) translateY(-50%) scale(0.7); padding: var(--size-xs) var(--size-s); border-radius: 14px; background: var(--color-secondary); box-shadow: var(--shadow); color: var(--color-text-light); opacity: 0; visibility: hidden; transition: opacity 0.2s ease, transform 0.2s ease, visibility 0.2s ease; z-index: 1000; }
.g-0b8b5ae2.g-7c950309 { opacity: 1; visibility: visible; transform: translateX(-50%) translateY(-50%) scale(1); }
.g-b3cf48b4 { margin-top: var(--section-padding); }
.g-70e92eff { position: relative; background-color: var(--color-primary); color: var(--color-text-light); border-radius: var(--b-radius); padding: var(--size-xl); display: flex; justify-content: space-between; align-items: center; flex-wrap: wrap; gap: var(--size-xl); margin-bottom: -80px; }
.g-6e543b6f { max-width: 510px; }
.g-3001c5cb { max-width: 430px; }
.g-d982fc93 { margin-top: var(--size-xs); }
.g-89cab6d1 { position: relative; margin-top: var(--size-s); display: flex; justify-content: flex-start; align-items: center; gap: var(--size-xs); }
.g-5d044b71 { background-color: var(--color-surface); border: 0; height: 40px; border-radius: 40px; padding: 10px 24px; flex: 2; }
.g-5e06449c { flex: 1; cursor: pointer; border: 0; background-color: var(--color-secondary); color: var(--text-light); height: 40px; border-radius: 40px; padding: 10px 24px; transition: transform 0.1s ease-in-out; }
.g-5e06449c:hover { transition: transform 0.3s ease-in-out; transform: scale(1.06); }
.g-3ab58dcf { display: flex; justify-content: flex-start; align-items: center; margin-top: var(--size-xs); }
.g-f8ac8399 { transform: scale(1.2); margin-right: var(--size-xs); }
.g-fbf5113a { background-color: var(--color-secondary); color: var(--color-text-light); padding-top: 160px; padding-bottom: var(--size-m); }
.g-2a73b1ae { display: flex; flex-direction: column; justify-content: center; align-items: center; gap: var(--size-m); }
.g-8f5a8aa2 { display: flex; justify-content: flex-end; align-items: center; flex-wrap: wrap; gap: var(--size-xs) var(--size-xl); }
.g-b0309dd4 { margin: var(--size-xl) 0; border-color: var(--color-surface); }
.g-0262fac3 { display: flex; justify-content: space-between; align-items: center; gap: var(--size-s); text-align: center; }
@media screen and (max-width: 1024px) { .g-70e92eff { padding: var(--size-m); }
.g-6e543b6f { max-width: initial; }
.g-3001c5cb { max-width: initial; }
 }@media screen and (max-width: 768px) { .g-0262fac3 { flex-wrap: wrap; justify-content: space-between; text-align: left; }
.g-848f0e59 { order: 3; width: 100%; }
 }@media screen and (max-width: 576px) { .g-70e92eff { gap: var(--size-m); }
.g-89cab6d1 { flex-direction: column; gap: var(--size-xxs); }
.g-5d044b71 { width: 100%; }
.g-5e06449c { width: 100%; }
.g-2a73b1ae { justify-content: flex-start; align-items: flex-start; }
.g-8f5a8aa2 { flex-direction: column; justify-content: flex-start; align-items: flex-start; }
 }

/* Block: header (header) */
#navigation-modal .menu-item,
#navigation-modal .page_item {
    transition: color .2s ease-out;
}
#navigation-modal .menu-item:hover,
#navigation-modal .menu-item a:hover,
#navigation-modal .page_item:hover,
#navigation-modal .page_item a:hover {
    color: var(--color-primary);
}
#navigation-modal .current-menu-item,
#navigation-modal .current_page_item,
#navigation-modal .current-menu-item a,
#navigation-modal .current_page_item a {
    color: var(--color-primary);
}

.g-e6b81734 { position: sticky; top: 0; background-color: var(--color-surface); z-index: 5; }
.g-23212bb4 { display: flex; justify-content: space-between; align-items: center; height: 80px; position: relative; }
.g-b14dc674 { display: flex; justify-content: flex-start; align-items: center; white-space: nowrap; }
.g-f0081300 { font-size: 36px; margin-right: var(--size-xs); }
.g-5063b023 { font-size: 24px; font-weight: 600; }
.g-1739d175 { display: flex; justify-content: flex-end; align-items: center; gap: var(--size-xs); }
.g-e9f2c5b6 { text-decoration: none; white-space: nowrap; padding: var(--size-xxs); }
.g-4e2fe0c8 { display: none; flex-direction: column; gap: 5px; border: 0; background-color: transparent; padding: 10px; }
.g-b16a8958 { width: 32px; height: 3px; }
@media screen and (max-width: 768px) { .g-d4958701 { position: absolute; right: 0; bottom: 0; transform: translateY(100%); background-color: var(--color-secondary); width: 260px; padding: var(--size-m); box-shadow: 0 4px 20px var(--input-bg); display: none; }
.g-d4958701.g-6b12ec4b { display: block; }
.g-1739d175 { gap: var(--size-m); flex-direction: column; align-items: flex-start; color: var(--color-text-light); }
.g-4e2fe0c8 { display: flex; cursor: pointer; }
 }@media screen and (max-width: 576px) { .g-d4958701 { width: 100%; }
 }

/* Block: hero-search (hero-search) */
.g-be5a87de { padding: var(--section-padding) 0; }
.g-2d8f4bfd { display: flex; }
.g-ee5038c9 { flex: 1; display: flex; flex-direction: column; justify-content: center; padding: var(--size-m); }
.g-135731a6 { margin-top: var(--size-s); }
.g-d8ae049e { margin-top: var(--size-m); }
.g-749a12f6 { flex: 1; }
.g-3c4c7676 { width: 100%; height: 100%; }
@media screen and (max-width: 1024px) { .g-2d8f4bfd { flex-direction: column; }
.g-ee5038c9 { max-width: 545px; padding: 0 0 var(--size-xl); }
.g-3c4c7676 { height: 400px; }
 }@media screen and (max-width: 576px) { .g-ee5038c9 { padding-bottom: var(--size-m); }
.g-3c4c7676 { height: auto; }
 }

/* Block: page-404 (page-404) */
.g-b1726e79 { display: flex; justify-content: center; align-items: center; flex-direction: column; }
.g-2b393a6c { fill: var(--color-text-description); max-width: 100%; height: auto; }
.g-07132d79 { text-align: center; margin-top: var(--size-xl); }
.g-a08ad60e { text-align: center; margin-top: var(--size-s); }
.g-ef61e7c1 { display: flex; justify-content: center; align-items: center; gap: var(--size-m); }
@media screen and (max-width: 768px) { .g-07132d79 { margin-top: var(--size-m); }
 }@media screen and (max-width: 576px) { .g-ef61e7c1 { flex-direction: column; gap: var(--size-xs); }
 }

/* Block: page-content (page-content) */
.g-51bf1347 { background-color: var(--color-surface); border-radius: var(--b-radius); padding: var(--size-m); margin: var(--section-padding) 0; }
@media screen and (max-width: 768px) { .g-51bf1347 { padding: var(--size-xs); }
 }

/* Block: page-header (page-header) */
.g-92eaa947 { padding: var(--size-m) 0 50px; }
.g-940a5e92 { margin-top: var(--size-m); padding: var(--size-s) var(--size-s) var(--size-m); text-align: center; }
.g-32a6f310 { margin-top: var(--size-xs); }
@media screen and (max-width: 576px) { .g-940a5e92 { margin-top: var(--size-xs); }
 }

/* Block: pagination (pagination) */
.g-af4a9220 .nav-links {
    position: relative;
    display: flex;
    flex-wrap: wrap;
    gap: 8px;
}

.g-af4a9220 .page-numbers {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    height: 32px;
    border-radius: 32px;
    min-width: 32px;
    text-decoration: none;
    font-weight: 500;
    border: 1px solid var(--color-secondary);
}

.g-af4a9220 .page-numbers:hover {
    text-decoration: underline;
}

.g-af4a9220 .prev {
    left: calc(var(--size-xs) * -1);
    transform: translateX(-100%);
}

.g-af4a9220 .prev::before {
    content: '';
    display: inline-block;
    width: 32px;
    height: 32px;
    background-color: var(--color-secondary);
    -webkit-mask: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='32' height='32' viewBox='0 0 32 32' fill='none'%3E%3Cpath d='M16 0C24.8366 0 32 7.16344 32 16C32 24.8366 24.8366 32 16 32C7.16344 32 0 24.8366 0 16C0 7.16344 7.16344 0 16 0ZM14.0537 10.2197C13.7608 9.92683 13.2851 9.92683 12.9922 10.2197L8.21973 14.9932C7.92683 15.2861 7.92683 15.7608 8.21973 16.0537L12.9922 20.8271C13.2851 21.12 13.7608 21.12 14.0537 20.8271C14.3466 20.5343 14.3465 20.0585 14.0537 19.7656L10.5605 16.2734H24.75C25.1642 16.2734 25.5 15.9376 25.5 15.5234C25.5 15.1092 25.1642 14.7735 24.75 14.7734H10.5605L14.0537 11.2812C14.3466 10.9884 14.3465 10.5126 14.0537 10.2197Z' fill='currentColor'/%3E%3C/svg%3E") center / contain no-repeat;
    mask: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='32' height='32' viewBox='0 0 32 32' fill='none'%3E%3Cpath d='M16 0C24.8366 0 32 7.16344 32 16C32 24.8366 24.8366 32 16 32C7.16344 32 0 24.8366 0 16C0 7.16344 7.16344 0 16 0ZM14.0537 10.2197C13.7608 9.92683 13.2851 9.92683 12.9922 10.2197L8.21973 14.9932C7.92683 15.2861 7.92683 15.7608 8.21973 16.0537L12.9922 20.8271C13.2851 21.12 13.7608 21.12 14.0537 20.8271C14.3466 20.5343 14.3465 20.0585 14.0537 19.7656L10.5605 16.2734H24.75C25.1642 16.2734 25.5 15.9376 25.5 15.5234C25.5 15.1092 25.1642 14.7735 24.75 14.7734H10.5605L14.0537 11.2812C14.3466 10.9884 14.3465 10.5126 14.0537 10.2197Z' fill='currentColor'/%3E%3C/svg%3E") center / contain no-repeat;
    flex-shrink: 0;
}

.g-af4a9220 .next {
    right: calc(var(--size-xs) * -1);
    transform: translateX(100%);
}

.g-af4a9220 .next::after {
    content: '';
    display: inline-block;
    width: 32px;
    height: 32px;
    background-color: var(--color-secondary);
    -webkit-mask: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='32' height='32' viewBox='0 0 32 32' fill='none'%3E%3Cpath d='M16 32C7.16344 32 -6.26248e-07 24.8366 -1.39876e-06 16C-2.17128e-06 7.16345 7.16344 1.21761e-06 16 4.4509e-07C24.8366 -3.27426e-07 32 7.16344 32 16C32 24.8366 24.8366 32 16 32ZM17.9463 21.7803C18.2392 22.0732 18.7149 22.0732 19.0078 21.7803L23.7803 17.0068C24.0732 16.7139 24.0732 16.2392 23.7803 15.9463L19.0078 11.1729C18.7149 10.88 18.2392 10.88 17.9463 11.1729C17.6534 11.4657 17.6535 11.9415 17.9463 12.2344L21.4395 15.7266L7.25 15.7266C6.83583 15.7266 6.50003 16.0624 6.5 16.4766C6.5 16.8908 6.83581 17.2265 7.25 17.2266L21.4395 17.2266L17.9463 20.7188C17.6534 21.0116 17.6535 21.4874 17.9463 21.7803Z' fill='currentColor'/%3E%3C/svg%3E") center / contain no-repeat;
    mask: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='32' height='32' viewBox='0 0 32 32' fill='none'%3E%3Cpath d='M16 32C7.16344 32 -6.26248e-07 24.8366 -1.39876e-06 16C-2.17128e-06 7.16345 7.16344 1.21761e-06 16 4.4509e-07C24.8366 -3.27426e-07 32 7.16344 32 16C32 24.8366 24.8366 32 16 32ZM17.9463 21.7803C18.2392 22.0732 18.7149 22.0732 19.0078 21.7803L23.7803 17.0068C24.0732 16.7139 24.0732 16.2392 23.7803 15.9463L19.0078 11.1729C18.7149 10.88 18.2392 10.88 17.9463 11.1729C17.6534 11.4657 17.6535 11.9415 17.9463 12.2344L21.4395 15.7266L7.25 15.7266C6.83583 15.7266 6.50003 16.0624 6.5 16.4766C6.5 16.8908 6.83581 17.2265 7.25 17.2266L21.4395 17.2266L17.9463 20.7188C17.6534 21.0116 17.6535 21.4874 17.9463 21.7803Z' fill='currentColor'/%3E%3C/svg%3E") center / contain no-repeat;
    flex-shrink: 0;
}

.g-af4a9220 .prev,
.g-af4a9220 .next {
    border: 0;
    position: absolute;
    top: 50%;
    margin-top: -16px;
    padding: 0 16px;
    gap: 8px;
}

.g-af4a9220 .current {
    background-color: var(--color-secondary);
    color: var(--color-text-light);
}

@media screen and (max-width: 768px) {
    .g-af4a9220 .prev {
        left: 0;
        transform: none;
    }

    .g-af4a9220 .next {
        right: 0;
        transform: none;
    }

    .g-af4a9220 .prev,
    .g-af4a9220 .next {
        position: static;
        margin-top: 0;
    }
}

.g-af4a9220 { display: flex; justify-content: center; padding: var(--size-l) 0 var(--size-xl); }
@media screen and (max-width: 768px) { .g-af4a9220 { padding: var(--size-m) 0 var(--size-l); }
 }

/* Block: post-card (post-card) */
.g-8d4320b9 { width: 100%; position: relative; border-radius: var(--b-radius); overflow: hidden; color: var(--color-text-light); min-height: 368px; }
.g-8d4320b9 .g-ef34d12e { padding: 24px; position: absolute; inset: 0; width: 100%; height: 100%; text-decoration: none; display: flex; flex-direction: column; }
.g-8d4320b9 .g-ef34d12e:hover .g-7ef85f07 { transform: translateY(0); transition: transform 0.3s cubic-bezier(0.4, 0, 0.2, 1); }
.g-8d4320b9 .g-f575fecc { position: absolute; inset: 0; z-index: -1; width: 100%; height: 100%; background-color: var(--color-surface); }
.g-8d4320b9 .g-f575fecc::after { content: ""; position: absolute; inset: 0; background: linear-gradient(180deg, rgba(0, 0, 0, 0) 0%, #000000 100%); }
.g-8d4320b9 .g-f575fecc img { width: 100%; height: 100%; object-fit: cover; }
.g-8d4320b9 .g-7ef85f07 { margin-top: auto; transition: transform 0.2s cubic-bezier(0.4, 0, 0.2, 1); transform: translateY(46px); }
.g-8d4320b9 .g-901780b4 { display: inline-flex; flex-wrap: wrap; gap: 4px 8px; }
.g-8d4320b9 .g-7cd86262 { background-color: rgba(0, 0, 0, 0.4); height: 28px; border-radius: 28px; padding: 4px 8px; display: flex; justify-content: center; align-items: center; white-space: nowrap; }
.g-8d4320b9 .g-38cefcce { margin-top: 8px; display: -webkit-box; -webkit-line-clamp: 2; -webkit-box-orient: vertical; overflow: hidden; text-overflow: ellipsis; }
.g-8d4320b9 .g-33360edb { display: flex; justify-content: space-between; align-items: flex-end; height: 25px; margin-top: 16px; }
.g-8d4320b9 .g-fb8e3c69 { display: flex; align-items: center; gap: 8px; }
.g-8d4320b9 .g-fb8e3c69:hover { text-decoration: underline; }
.g-8d4320b9 .g-fb8e3c69 svg { margin-left: 8px; fill: currentColor; }
.g-8d4320b9 .g-58ee54a7 { white-space: nowrap; opacity: 0.8; }
.g-f33187dc { min-height: 600px; }
.g-f33187dc .g-ef34d12e { padding: 48px 40px; }
.g-f33187dc .g-7ef85f07 { transform: none; }
@media screen and (max-width: 870px) { .g-f33187dc { min-height: 368px; }
.g-f33187dc .g-ef34d12e { padding: 24px; }
.g-f33187dc .g-7ef85f07 { transform: translateY(46px); }
 }

/* Block: post-content (post-content) */
[id^="anchor-"] {
    scroll-margin-top: calc(var(--header-height, 0px) + 15px);
}

.post-navigation-wrapper .nav-links {
    margin-top: var(--size-xl);
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: var(--size-xl);
}

.post-navigation-wrapper .nav-links .post-navigation-link {
    gap: var(--size-xxs);
}

.post-navigation-wrapper .nav-links .nav-next {
    margin-left: auto;
        text-align: right;
}

.g-fc013cf4 { display: grid; grid-template-columns: 270px 1fr; gap: var(--size-s); padding: var(--size-xl) 0; }
.g-fc013cf4 blockquote { margin: 0 var(--size-s); border-left: 3px solid var(--color-primary); padding: var(--size-s) var(--size-xs); }
.g-fc013cf4 .g-54d3e528 { position: sticky; top: calc(var(--header-height, 0px) + 15px); }
.g-fc013cf4 .g-f37498e7 { display: flex; justify-content: flex-start; align-items: center; gap: var(--size-xs); }
.g-fc013cf4 .g-3fb34a3a { margin-top: var(--size-m); }
.g-fc013cf4 .g-402e3b7a { margin-top: var(--size-m); color: var(--color-text-description); display: flex; flex-direction: column; justify-content: flex-start; align-items: flex-start; gap: 16px; }
.g-fc013cf4 .g-91bfda0b { display: block; text-decoration: none; }
.g-fc013cf4 .g-91bfda0b:hover { text-decoration: underline; }
.g-fc013cf4 .g-884e86e6 { background-color: var(--color-surface); border-radius: var(--b-radius); padding: 8px 16px; font-weight: bold; }
@media screen and (max-width: 1024px) { .g-fc013cf4 { grid-template-columns: 1fr; }
.g-fc013cf4 .g-b9eb295e { display: none; }
.g-fc013cf4 .g-3fb34a3a { margin-top: var(--size-s); }
.g-fc013cf4 .g-402e3b7a { align-items: flex-start; margin-top: var(--size-s); gap: var(--size-xs); }
 }@media screen and (max-width: 768px) { .g-fc013cf4 blockquote { margin: 0; }
 }

/* Block: post-header (post-header) */
.g-27992067 { margin-top: var(--size-m); display: flex; justify-content: center; align-items: center; flex-wrap: wrap; gap: var(--size-m); }
.g-f8e60693 { display: flex; justify-content: center; align-items: center; flex-wrap: wrap; gap: var(--size-xs); }
.g-ad5f51f0 { text-decoration: none; }
.g-ad5f51f0:hover { text-decoration: underline; }
.g-1e8d37f5 { text-align: center; max-width: 760px; margin: var(--size-l) auto 0; }
.g-a80f39f1 { margin-top: var(--size-s); }
.g-81b63d94 { margin-top: var(--size-l); }
@media screen and (max-width: 768px) { .g-27992067 { gap: var(--size-xs); }
.g-1e8d37f5 { margin-top: var(--size-s); }
.g-81b63d94 { margin-top: var(--size-m); }
 }

/* Block: posts-list (posts-list) */
.g-5432a8d9 { display: grid; gap: 24px; grid-template-columns: repeat(3, 1fr); }
@media screen and (max-width: 1024px) { .g-5432a8d9 { grid-template-columns: repeat(2, 1fr); }
 }@media screen and (max-width: 768px) { .g-5432a8d9 { grid-template-columns: 1fr; }
 }

/* Block: recommendation (recommendation) */
.g-46d18911 { text-align: center; }
.g-85f58154 { display: flex; justify-content: center; align-items: center; margin-top: var(--size-xl); }
.g-60ee3483 { display: flex; justify-content: center; align-items: center; gap: 16px; }
.g-aea77f2d { width: 32px; height: 32px; border-radius: 50%; border: 0; padding: 0; background-color: var(--color-primary); display: flex; justify-content: center; align-items: center; cursor: pointer; }
.g-aea77f2d:hover { background-color: var(--color-primary); }
.g-e32aa3c6 { fill: var(--color-text-light); }
@media screen and (max-width: 768px) { .g-85f58154 { margin-top: var(--size-m); }
 }

/* Block: search (search) */
.g-1eeaf409 { margin-top: var(--size-m); max-width: 600px; }
.g-86386b0e { margin-top: var(--size-m); max-width: 600px; }
.g-034034b1 { margin-top: var(--size-xl); }

/* Block: searchform (searchform) */
.g-352a1d0d { position: relative; display: inline-block; width: 100%; }
.g-352a1d0d .g-82c0eea2 { color: var(--color-text); width: 100%; background-color: var(--color-surface); height: 48px; border-radius: 48px; border: 0; box-shadow: 0 0 0 2px var(--color-surface), inset 0 0 0 3px var(--color-primary); padding: var(--size-xxs) 150px var(--size-xxs) var(--size-s); font-size: clamp(0.75rem, 0.4419889503vw + 0.6464088398rem, 1rem); font-weight: 500; line-height: 120%; }
.g-352a1d0d .g-112e068d { position: absolute; right: 0; top: 0; height: 100%; border: 0; border-radius: 48px; background-color: var(--color-primary); color: var(--color-text-light); cursor: pointer; display: flex; justify-content: center; align-items: center; padding: 0 32px; transition: opacity .2s ease-in-out; }
.g-352a1d0d .g-112e068d:hover { opacity: .7; }

/* Block: toTop (toTop) */
.g-4e7c5b85 { position: fixed; bottom: 0; opacity: 0; right: 30px; opacity: 0; transform: translateY(100%); background-color: var(--color-primary); border: none; width: 60px; height: 60px; border-radius: 50%; cursor: pointer; transition: 0.3s opacity ease-in-out, 0.3s transform ease-in-out; z-index: 4; }
.g-8a5178cc { fill: var(--color-text-light); }
.g-6f393b14 { opacity: 1; transform: translateY(-35px); }
@media screen and (max-width: 768px) { .g-4e7c5b85 { transform: scale(0.8); bottom: 15px; right: 15px; }
 }

/* Block: front-page::hero-search (hero-search) */
.g-7a529e3e { padding: var(--section-padding) 0; }
.g-89e1afef { display: flex; }
.g-7f5ab008 { flex: 1; display: flex; flex-direction: column; justify-content: center; padding: var(--size-m); }
.g-1e97c55d { margin-top: var(--size-s); }
.g-7cd5ffce { margin-top: var(--size-m); }
.g-bd300bda { flex: 1; }
.g-3cb443af { width: 100%; height: 100%; }
@media screen and (max-width: 1024px) { .g-89e1afef { flex-direction: column; }
.g-7f5ab008 { max-width: 545px; padding: 0 0 var(--size-xl); }
.g-3cb443af { height: 400px; }
 }@media screen and (max-width: 576px) { .g-7f5ab008 { padding-bottom: var(--size-m); }
.g-3cb443af { height: auto; }
 }

/* Block: front-page::text--0 (text) */
.g-e0ddcab0 { text-align: center; }

/* Block: front-page::categories-list (categories-list) */
.g-3b12a37c { display: flex; flex-wrap: wrap; gap: var(--size-s); }
.g-3b12a37c .g-2a2d3bbe { text-decoration: none; background-color: var(--color-surface); flex-grow: 1; flex-shrink: 1; flex-basis: calc((100% - (var(--size-s) * 4)) / 5); min-width: 210px; display: flex; justify-content: center; align-items: center; flex-direction: column; gap: var(--size-xxs); padding: 16px; border-radius: var(--b-radius); text-align: center; hyphens: auto; overflow-wrap: break-word; word-break: normal; text-wrap: balance; transition: .2s ease-in-out filter; }
.g-3b12a37c .g-2a2d3bbe:hover { filter: brightness(0.96); }

/* Block: front-page::featured-posts (featured-posts) */
.g-7270657d { margin-top: var(--size-m); }
.g-86a763e7 { margin-top: var(--size-m); }
.g-568df77d { margin-top: var(--size-xl); }
.g-784cfc13 { align-items: stretch; }
.g-bf9d921b { height: auto; }
.g-36ce93e8 { display: flex; justify-content: center; align-items: center; gap: 8px; margin-top: var(--size-s); height: 15px; }
.g-36ce93e8 .g-d63a1905 { width: 12px; height: 12px; margin: 0; border-radius: 50%; background: var(--color-surface); opacity: 1; transition: background .2s ease, transform .2s ease; }
.g-36ce93e8 .g-39d6e2b9 { background: var(--color-primary); transform: scale(1.2); }
.g-594179e1 { display: flex; justify-content: center; align-items: center; margin-top: var(--size-xl); text-align: center; }

/* Block: front-page::page-content--0 (page-content) */
.g-3af546c3 { margin: var(--section-padding) 0; }

/* Block: contacts-page::page-content--0 (page-content) */
.g-a49261de { background-color: var(--color-surface); border-radius: var(--b-radius); padding: var(--size-m); margin: var(--section-padding) 0; }
@media screen and (max-width: 768px) { .g-a49261de { padding: var(--size-xs); }
 }

/* Block: contacts-page::form--0 (form) */
.g-f12ca85c { display: flex; justify-content: flex-start; position: relative; z-index: 1; }
.g-0d5744b7 { width: clamp(23.125rem, 29.2682926829vw + 7.2103658537rem, 30.625rem); flex-shrink: 0; padding: clamp(2rem, 5.8536585366vw + -1.1829268293rem, 3.5rem) var(--size-s) clamp(2rem, 5.8536585366vw + -1.1829268293rem, 3.5rem) clamp(1.5rem, 7.8048780488vw + -2.743902439rem, 3.5rem); display: flex; flex-direction: column; align-items: flex-start; justify-content: center; }
.g-ef3952a7 { padding: clamp(1.5rem, 7.8048780488vw + -2.743902439rem, 3.5rem); flex: 1; display: flex; flex-direction: column; justify-content: center; }
.g-c5f12cd0 { display: flex; justify-content: flex-start; align-items: center; }
.g-8a25d5e5 { width: 56px; height: 56px; flex-shrink: 0; display: flex; justify-content: center; align-items: center; border-radius: 50%; font-size: 24px; margin-right: var(--size-m); }
.g-b80df138 { display: flex; flex-direction: column; }
.g-75fffc90 { margin-top: -100px; height: clamp(32rem, 13.28125vw + 25.625rem, 36.25rem); }
.g-ebcf5621 { position: relative; z-index: 1; }
@media screen and (max-width: 870px) { .g-f12ca85c { flex-direction: column-reverse; }
.g-0d5744b7 { width: 100%; }
 }@media screen and (max-width: 768px) { .g-cd1e4949 { width: 100%; display: flex; justify-content: space-between; gap: var(--size-s); }
.g-cd1e4949 .g-c5f12cd0 { margin-top: 0; }
.g-c5f12cd0 { align-items: flex-start; flex-direction: column; flex: 1; }
.g-8a25d5e5 { margin-right: 0; }
.g-b80df138 { margin-top: var(--size-xs); }
.g-75fffc90 { height: clamp(38.75rem, -27.4809160305vw + 45.1908396947rem, 32rem); }
 }@media screen and (max-width: 576px) { .g-0d5744b7 { text-align: center; }
.g-cd1e4949 { flex-direction: column; align-items: center; margin-top: var(--size-s); }
.g-c5f12cd0 { align-items: center; }
.g-3e40c82e { margin: 0 auto; }
 }

/* Block: about-page::text--0 (text) */
.g-4a926293 { text-align: center; }

/* Block: about-page::page-content--0 (page-content) */
.g-a1b25201 { background-color: var(--color-surface); border-radius: var(--b-radius); padding: var(--size-m); margin: var(--section-padding) 0; }
@media screen and (max-width: 768px) { .g-a1b25201 { padding: var(--size-xs); }
 }

/* Block: approach::about--0 (about) */
.g-9af89aeb { display: flex; align-items: center; gap: var(--size-m); }
.g-fd96f72b { flex: 1; }
.g-ca3f6b34 { flex: 1; }
@media screen and (max-width: 768px) { .g-9af89aeb { flex-direction: column-reverse; }
 }@media screen and (max-width: 576px) { .g-ca3f6b34 { text-align: center; }
 }

/* Block: approach::process--0 (process) */
.g-5d8cb686 { width: 60%; }
.g-299b838e { flex: 1; position: relative; display: flex; gap: var(--size-l); }
.g-89b126a5 { flex: 1; }
.g-7f3e3859 { position: relative; }
.g-7f3e3859::before { content: ""; position: absolute; top: 0; left: calc(-1 * var(--size-l) / 2); width: 1px; height: 100%; background-color: var(--color-primary); }
.g-2ec68e21::before { display: none; }
@media screen and (max-width: 870px) { .g-4dcc9026 { flex-direction: column; }
.g-5d8cb686 { width: 100%; }
.g-299b838e { display: grid; grid-template-columns: 1fr 1fr; }
.g-299b838e::before { content: ""; position: absolute; top: 0; left: 50%; width: 1px; height: 100%; background-color: var(--color-primary); }
.g-299b838e::after { content: ""; position: absolute; top: 50%; left: 0; width: 100%; height: 1px; background-color: var(--color-primary); }
.g-7f3e3859::before { display: none; }
 }@media screen and (max-width: 576px) { .g-5d8cb686 { text-align: center; }
.g-299b838e { margin-top: var(--size-m); gap: var(--size-m); grid-template-columns: 1fr; }
.g-299b838e::before { display: none; }
.g-299b838e::after { display: none; }
.g-7f3e3859::before { left: 0; top: calc(-1 * var(--size-m) / 2); display: block; height: 1px; width: 100%; }
.g-2ec68e21::before { display: none; }
 }

/* Block: approach::about--1 (about) */
.g-fb2beefc { display: flex; align-items: center; gap: var(--size-m); }
.g-6286538a { flex: 1; }
.g-9206e9b8 { flex: 1; }
@media screen and (max-width: 768px) { .g-fb2beefc { flex-direction: column-reverse; }
 }@media screen and (max-width: 576px) { .g-9206e9b8 { text-align: center; }
 }

/* Block: approach::faq--0 (faq) */
.g-b955f57b { display: flex; position: relative; gap: var(--size-s); }
.g-b955f57b * { flex: 1; }
.g-a84711cb { flex: 1; position: relative; display: grid; grid-template-columns: 1fr 1fr; gap: var(--size-m); }
.g-59fa06e2 { flex-shrink: 0; }
.g-18aaa8da { grid-column: span 2; }
.g-7f467a42 { user-select: none; }
.g-7f467a42[open] .g-9b7c98d8 { transform: rotate(45deg); }
.g-bd62759e { display: flex; justify-content: space-between; align-items: center; list-style: none; cursor: pointer; padding: var(--size-s) var(--size-m); }
.g-bd62759e::-webkit-details-marker { display: none; }
.g-9b7c98d8 { width: 32px; height: 32px; flex-shrink: 0; display: flex; justify-content: center; align-items: center; background-color: var(--color-bg); border-radius: 50%; margin-left: var(--size-xs); }
.g-9b7c98d8 svg { fill: var(--color-primary); }
.g-f0d4a074 { padding: 0 var(--size-m) var(--size-s); }
@media screen and (max-width: 870px) { .g-bd62759e { padding-top: var(--size-xs); padding-bottom: var(--size-xs); }
.g-9b7c98d8 { width: 24px; height: 24px; }
.g-9b7c98d8 svg { width: 16px; height: 16px; }
.g-f0d4a074 { padding-bottom: var(--size-xs); }
 }@media screen and (max-width: 768px) { .g-b955f57b { flex-direction: column; }
.g-a84711cb { grid-template-columns: 1fr; margin-top: var(--size-m); }
.g-18aaa8da { grid-column: span 1; }
 }@media screen and (max-width: 576px) { .g-b955f57b { text-align: center; }
 }